In some scientific fields, the simulation of entities' behaviours is useful since it provides researchers a visual resource which they may control, facilitating their task of correlating input data and effects produced. Moreover, the more complex such simulations progressively become, the more resource-costly and time-intensive they are potentially rendered. This way, it is crucial that their development is over viewed under a resource-aware lens. The application of optimisation techniques proposes the preservation of essential code while making use of more efficient instructions, minimizing the strain on available resources.

In this paper we propose an alternate version of the c program provided within the course of Computação Paralela, taught at University of Minho, which represents a molecular dynamic's simulation of Argon atoms. This alternative version aims to minimize the time and resources consumed in its rendering, explaining the techniques utilized and how they have achieved this goal. 
